package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PtovtaCatIndDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaCatInd;
import com.rjconsultores.ventaboletos.service.PtovtaCatIndService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("ptovtaCatIndService")
public class PtovtaCatIndServiceImpl implements PtovtaCatIndService {

	@Autowired
	private PtovtaCatIndDAO ptovtaCatIndDAO;

	@Override
	public List<PtovtaCatInd> obtenerTodos() {
		return ptovtaCatIndDAO.obtenerTodos();
	}

	@Override
	public PtovtaCatInd obtenerID(Integer id) {
		return ptovtaCatIndDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public PtovtaCatInd suscribir(PtovtaCatInd entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);
		return ptovtaCatIndDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public PtovtaCatInd actualizacion(PtovtaCatInd entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);
		return ptovtaCatIndDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(PtovtaCatInd entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);
		ptovtaCatIndDAO.actualizacion(entidad);

	}

}
